## strophejs 1.1.3%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export YUI_COMPRESSOR=/usr/share/yui-compressor/yui-compressor.jar

%:
	dh $@ -- make

override_dh_auto_clean:
	rm -f strophe.min.js
	rm -f plugins/*.min.js
