=== debian/changelog ===
strophejs (1.1.3+dfsg-0.1) unstable; urgency=low

  * New upstream release. Non-maintainer upload.
  * Updates standards.
  * Updates BSD license in copyright file.

 -- Damian Minkov <damencho@jitsi.org>  Wed, 10 Sep 2014 21:48:12 +0200

strophejs (1.0.1.dfsg-2) unstable; urgency=low

  * Added watch file 

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 02 Jun 2010 14:41:16 -0300

strophejs (1.0.1.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #521316)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 22 May 2010 12:14:11 -0300
