## strophejs 1.2.14%2Bdfsg

=== debian/changelog ===
strophejs (1.2.14+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 28 Jan 2018 22:21:02 -0200

strophejs (1.2.14+dfsg-1) experimental; urgency=medium

  * New upstream version 1.2.14 (Closes: #832716)
  * debian/watch: Moved to github
  * debian/control: New homepage
  * debian/control: Bump Standards-Version to 4.1.3
  * debian/control: Move to salsa.debian.org
  * debian/copyright: Updated license files
  * debian/README.source: Fixed release name
  * debian/compat: Fixed compat version

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 21 Jan 2018 22:51:45 -0200
