=== debian/changelog ===
strophejs (1.2.14+dfsg-8) unstable; urgency=medium

  * Bump debhelper compatibility level to 13
  * Replace deprecated no-uglify by uglifyjs (Closes: #979945)
  * Enable CI
  * Fixed copyright format
  * Change package section to 'javascript'
  * Fixed older-debian-watch-file-standard
  * Use https in upstream homepage
  * Bump Standards-Version to 4.5.1

 -- Marcelo Jorge Vieira <metal@debian.org>  Fri, 15 Jan 2021 13:27:58 -0300

strophejs (1.2.14+dfsg-7) unstable; urgency=high

  * New package version to force the source package into unstable:
    Not built on buildd: arch all binaries uploaded by metal, a new
    source-only upload is needed to allow migration

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 05 Dec 2020 17:56:20 -0300

strophejs (1.2.14+dfsg-6) unstable; urgency=high

  * Fixed FTBFS (Closes: #971174)
    - Error: Cannot find module '/usr/lib/nodejs/requirejs/r.js'
  * Fixed duplicate-globbing-patterns (src/polyfills.js)

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 22 Nov 2020 16:56:25 -0300

strophejs (1.2.14+dfsg-5) unstable; urgency=medium

  * Team upload.
    [ Sunil Mohan Adapa <sunil@medhas.org> ]
  * Fix path to almond.js, again. (Closes: #952359)

 -- Martin <debacle@debian.org>  Mon, 30 Mar 2020 22:53:23 +0000

strophejs (1.2.14+dfsg-4) unstable; urgency=high

  * Team upload.
  * Fix path to almond.js. (Closes: #922805)

 -- Dominik George <natureshadow@debian.org>  Sat, 23 Feb 2019 23:17:03 +0100

strophejs (1.2.14+dfsg-3) unstable; urgency=high

  * Fixed FTBFS with node-almond 0.3.3+dfsg-1 (Closes: #893652)

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 23 Aug 2018 00:30:53 -0300
