=== debian/control ===
Source: strophejs
Section: javascript
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira <metal@debian.org>
Build-Depends: debhelper-compat (= 13),
               node-almond (>= 0.3.3+dfsg-3),
               node-requirejs,
               uglifyjs
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://strophe.im/strophejs/
Vcs-Git: https://salsa.debian.org/xmpp-team/strophejs.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/strophejs

Package: libjs-strophe
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Recommends: javascript-common
Description: Library for writing XMPP clients
 Strophe provides the following features:
 .
   * XMPP compliant
   * TLS support via SChannel, GNUTLS or OpenSSL
   * SASL authentication using ANONYMOUS, DIGEST-MD5 or PLAIN methods
     as well as legacy jabber authentication
   * Customizable logging and memory management
