=== debian/changelog ===
strophejs (3.1.0-2) unstable; urgency=medium

  * Team upload
  * Re-upload to unstable

 -- Martin <debacle@debian.org>  Sat, 05 Apr 2025 11:58:20 +0000

strophejs (3.1.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version (Closes: #978568)

 -- Martin <debacle@debian.org>  Sun, 30 Mar 2025 11:17:30 +0000
