=== debian/control ===
--- 
+++ 
@@ -4,9 +4,18 @@
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Marcelo Jorge Vieira <metal@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               node-almond (>= 0.3.3+dfsg-3),
-               node-requirejs,
-               uglifyjs
+	       dh-nodejs,
+	       node-almond (>= 0.3.3+dfsg-3),
+	       node-jsdom,
+	       node-requirejs,
+	       node-rollup-plugin-babel,
+	       node-rollup-plugin-commonjs,
+	       node-rollup-plugin-node-resolve,
+	       node-rollup-plugin-terser,
+	       node-typescript,
+	       node-ws,
+	       rollup,
+	       uglifyjs,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://strophe.im/strophejs/
