=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=nodejs

override_dh_auto_build:
	dh_auto_build
	tsc --project tsconfig.json
	rollup --config rollup.config.js --bundleConfigAsCjs

execute_after_dh_auto_install:
	rm -r ./debian/libjs-strophe/usr/share/nodejs/

override_dh_auto_test:
