=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/strophejs-$1\.tar\.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/strophe/strophejs/tags .*/v?(\d\S+)\.tar\.gz
